Skip to main content

updatePatientData

Update patient data. Only data requestors can use this endpoint to update patient data for patients in projects they have access to.

Path Parameters
projectId string REQUIRED

Project Id

patientId string REQUIRED

Patient Id

Request Body REQUIRED

Patient data update parameters

skipInteractive boolean

Whether to skip interactive authentication flows and only return PATIENT_ACTION_NEEDED for consent-related issues

Responses
200

Patient data update status

Schema OPTIONAL
message string

Possible values: [IN_PROGRESS_NO_ACTION_NEEDED, PATIENT_ACTION_NEEDED]

Status of the patient data update request

patientActionNeededReason string OPTIONAL

Possible values: [CONSENT_EXPIRED, CONSENT_NOT_FOUND, CONSENT_REVOKED, UNLOCKED_OR_NO_TARGETED_LIST, AUTHENTICATION_EXPIRED, AUTHENTICATION_NEEDED_NEW_FACILITY]

Reason why patient action is needed

skippedFacilitiesCount number

Total number of facilities skipped for this update. This is the sum of skipped existing facilities (e.g. locations with expired or revoked authorization) and skipped new facilities (typically those requiring new authorization).

counts object

Facility metrics for this retrieval.

skippedExistingFacilities number

Number of existing (non-new) facilities that were skipped for this retrieval, e.g. because of an unretrievable status or because the row was carried over from the previous batch.

changedExistingFacilities number

Number of existing facilities for which an updated set of records was fetched.

unchangedExistingFacilities number

Number of existing facilities that returned the same document set as the previous retrieval.

retrievedNewFacilities number

Number of facilities new to this retrieval for which documents were fetched.

skippedNewFacilities number

Number of facilities new to this retrieval for which documents could not be fetched, probably because new authorization is needed.

retrievalId string OPTIONAL

Unique identifier for the data retrieval that was started. Present only when message is IN_PROGRESS_NO_ACTION_NEEDED.